[gelöst]Nach smart upgrade system instabil

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Antworten
Scuppa
Member
Member
Beiträge: 78
Registriert: 24. Feb 2004, 16:42
Wohnort: Mainz-Kastel

[gelöst]Nach smart upgrade system instabil

Beitrag von Scuppa » 20. Sep 2006, 22:09

Hallo,

seit meinem letzten smart upgrade am 17.09.06 verhält sich mein System höchst instabil. Smart zeigt des öfteren einen "Speicherzugriffsfehler" oder "ungültiger Maschinenbefehl" an, das Smart-Gui und andere Anwendungen (z.B. OpenOffice, DVDStyler) stürzen häufig ab oder lassen sich mitunter gar nicht starten. So zum Beispiel Firefox. Bisher gefundene Fehlermeldungen in der Konsole:

Beim Start von Firefox:

Code: Alles auswählen

/usr/bin/firefox: line 160:  5479 Speicherzugriffsfehler  LD_PRELOAD=/usr/$LIB/libaoss.so${LD_PRELOAD:+:$LD_PRELOAD} $MOZ_PROGRAM $@
Bei erneutem smart upgrade:

Code: Alles auswählen

Lade Zwischenspeicher...
Update Zwischenspeicher...      ######################################## [100%]

Berechne Vorgang ...

Erneuere Pakete (25):
  amarok                                 xorg-x11-server
  amarok-xine                            yast2
  jpackage-utils                         yast2-installation
  lash                                   yast2-ncurses
  lash-libs                              yast2-online-update
  libsndfile                             yast2-online-update-frontend
  libtunepimp                            yast2-packager
  libtunepimp-mad                        yast2-perl-bindings
  libtunepimp-mp4                        yast2-pkg-bindings
  libzypp                                yast2-qt
  libzypp-zmd-backend                    zen-updater
  rug                                    zmd
  sax2-ident

Traceback (most recent call last):
  File "/usr/bin/smart", line 194, in ?
    main(sys.argv[1:])
  File "/usr/bin/smart", line 167, in main
    exitcode = iface.run(opts.command, opts.argv)
  File "/usr/lib/python2.4/site-packages/smart/interface.py", line 53, in run
    result = _command.main(self._ctrl, opts)
  File "/usr/lib/python2.4/site-packages/smart/commands/upgrade.py", line 182, in main
    ctrl.commitTransaction(trans, confirm=confirm)
  File "/usr/lib/python2.4/site-packages/smart/control.py", line 464, in commitTransaction
    return self.commitChangeSet(trans.getChangeSet(), caching, confirm)
  File "/usr/lib/python2.4/site-packages/smart/control.py", line 467, in commitChangeSet
    if confirm and not iface.confirmChangeSet(changeset):
  File "/usr/lib/python2.4/site-packages/smart/interfaces/text/interface.py", line 107, in confirmChangeSet
    return self.showChangeSet(changeset, confirm=True)
  File "/usr/lib/python2.4/site-packages/smart/interfaces/text/interface.py", line 223, in showChangeSet
    size = report.getInstallSize() - report.getRemoveSize()
  File "/usr/lib/python2.4/site-packages/smart/report.py", line 200, in getRemoveSize
    size = info.getInstalledSize()
  File "/usr/lib/python2.4/site-packages/smart/backends/rpm/header.py", line 87, in getInstalledSize
    return self._h[rpm.RPMTAG_SIZE]
  File "/usr/lib/python2.4/site-packages/smart/backends/rpm/header.py", line 58, in __get__
    obj._h = obj._loader.getHeader(obj._package)
  File "/usr/lib/python2.4/site-packages/smart/backends/rpm/header.py", line 598, in getHeader
    return mi.next()
StopIteration
Meine channel-list:

Code: Alles auswählen

[suse-101-apt-suser-oc2pus]
type = apt-rpm
name = SUSE Linux 10.1 APT Suser Oc2pus Repository
baseurl = http://ftp.gwdg.de/pub/linux/suse/apt/SuSE/10.1-i386
components = suser-oc2pus

[jpackage-1.6]
type = apt-rpm
name = JPackage 10.1 apt repository (1.6)
baseurl = http://mirrors.sunsite.dk/jpackage/1.6/generic
components = free

[jpackage-1.7]
type = apt-rpm
name = JPackage 10.1 apt repository (1.7)
baseurl = http://ftp.heanet.ie/pub/jpackage/1.7/generic
components = free

[rpmkeys-101-apt]
type = apt-rpm
name = SUSE Linux 10.1 APT RPMKeys Repository
baseurl = http://ftp.gwdg.de/pub/linux/suse/apt/SuSE/10.1-i386
components = rpmkeys

[suse-101-apt-gnome]
type = apt-rpm
name = SUSE Linux 10.1 APT Gnome Repository
baseurl = http://ftp.gwdg.de/pub/linux/suse/apt/SuSE/10.1-i386
components = gnome

[suse-101-apt-non-oss]
type = apt-rpm
name = SUSE Linux 10.1 APT Non-oss Repository
baseurl = http://ftp.gwdg.de/pub/linux/suse/apt/SuSE/10.1-i386
components = non-oss

[suse-101-apt-wine]
type = apt-rpm
name = SUSE Linux 10.1 APT Wine Repository
baseurl = http://ftp.gwdg.de/pub/linux/suse/apt/SuSE/10.1-i386
components = wine

[suse-101-apt-suser-guru]
type = apt-rpm
name = SUSE Linux 10.1 APT Suser Guru Repository
baseurl = http://ftp.gwdg.de/pub/linux/suse/apt/SuSE/10.1-i386
components = suser-guru

[suse-101-apt-suser-rbos]
type = apt-rpm
name = SUSE Linux 10.1 APT Suser-rbos Repository
baseurl = http://ftp.gwdg.de/pub/linux/suse/apt/SuSE/10.1-i386
components = suser-rbos

[suse-101-apt-suser-tcousin]
type = apt-rpm
name = SUSE Linux 10.1 APT Suser-tcousin Repository
baseurl = http://ftp.gwdg.de/pub/linux/suse/apt/SuSE/10.1-i386
components = suser-tcousin

[rpm-sys]
type = rpm-sys
name = RPM System

[packman-i686-101-apt]
type = apt-rpm
name = Packman 10.1 APT Repository
baseurl = http://ftp.gwdg.de/pub/linux/suse/apt/SuSE/10.1-i386
components = packman-i686

[packman-101-apt]
type = apt-rpm
name = Packman 10.1 APT Repository
baseurl = http://ftp.gwdg.de/pub/linux/suse/apt/SuSE/10.1-i386
components = packman

[suse-kde]
type = rpm-md
name = Latest KDE packages
baseurl = http://linux.nssl.noaa.gov/opensuse/repositories/KDE:/KDE3/SUSE_Linux_10.1

[xemini]
type = apt-rpm
name = Xemini 10.1 apt repository
baseurl = http://op4.xemini.de/linux/suse/apt/SuSE/10.1-i386/
components = xemini

[kde-backports]
type = rpm-md
name = kde
baseurl = http://linux.nssl.noaa.gov/opensuse/repositories/KDE:/Backports/SUSE_Linux_10.1

[olsen]
type = apt-rpm
name = Olsen 10.1 apt repository
baseurl = http://folk.uio.no/oeysteio/apt/suse/10.1-olsen/
components = Olsen

[suse-101-apt-extra]
type = apt-rpm
name = SUSE Linux 10.1 APT Extra Repository
baseurl = http://ftp.gwdg.de/pub/linux/suse/apt/SuSE/10.1-i386
components = extra

[suse-wine]
type = rpm-md
name = Latest wine packages
baseurl = http://software.opensuse.org/download/Emulators:/Wine/SUSE_Linux_10.1/

[suse-101-apt-update]
type = apt-rpm
name = SUSE Linux 10.1 APT Update Repository
baseurl = http://ftp.gwdg.de/pub/linux/suse/apt/SuSE/10.1-i386
components = update

[suse-mozilla]
type = rpm-md
name = Latest mozilla.org packages
baseurl = ftp://ftp.suse.com/pub/projects/mozilla/10.1

[suse-101-apt-samba3]
type = apt-rpm
name = SUSE Linux 10.1 APT Samba3 Repository
baseurl = http://ftp.gwdg.de/pub/linux/suse/apt/SuSE/10.1-i386
components = samba3

[suse-101-apt-security]
type = apt-rpm
name = SUSE Linux 10.1 APT Security Repository
baseurl = http://ftp.gwdg.de/pub/linux/suse/apt/SuSE/10.1-i386
components = security

[suse-101-apt-base]
type = apt-rpm
name = SUSE Linux 10.1 APT Base Repository
baseurl = http://ftp.gwdg.de/pub/linux/suse/apt/SuSE/10.1-i386
components = base
Ist da vielleicht ein unsicherer Channel dabei?! Was kann ich tun?

Suse 10.1, meine Kernel-Version:
kernel-default 2.6.16.21-0.21@i586

Danke!

Scuppa
Zuletzt geändert von Scuppa am 24. Sep 2006, 14:21, insgesamt 1-mal geändert.

Werbung:
traffic
Guru
Guru
Beiträge: 2750
Registriert: 13. Feb 2005, 05:50

Beitrag von traffic » 21. Sep 2006, 00:01

Welche Pakete waren denn an der Transaktion beteiligt, seit der diese Instabilitäten auftreten?

Ist ein Hardwaredefekt ausgeschlossen?
openSUSE Factory - GNOME 2.32.1

Scuppa
Member
Member
Beiträge: 78
Registriert: 24. Feb 2004, 16:42
Wohnort: Mainz-Kastel

Beitrag von Scuppa » 21. Sep 2006, 00:14

Welche Pakete genau beteiligt waren kann ich leider so nicht mehr rekonstruieren, auf jeden Fall auch eine Reihe KDE-Pakete.

Einen Hardware-Effekt kann ich denke ich weitgehend ausschließen.

Gtx,

Scuppa

Lux_Deluxe
Newbie
Newbie
Beiträge: 13
Registriert: 14. Mai 2006, 00:23
Kontaktdaten:

Beitrag von Lux_Deluxe » 21. Sep 2006, 00:22

hatte ich vorhin auch :?

ich denke, das es bei mir an einer falschen channel-liste lag, denn als ich die komplette liste gelöscht und dann wieder eingefügt habe funktionierte es wieder ohne probleme.

habe ausversehn in meine liste ein paar repos für die 10.0 reingejagt :x

mfg

Scuppa
Member
Member
Beiträge: 78
Registriert: 24. Feb 2004, 16:42
Wohnort: Mainz-Kastel

Beitrag von Scuppa » 21. Sep 2006, 08:30

Eine falsche Channel-list lässt bei mir Programme abstürzen und mitunter das System einfrieren?! Kann ich mir kaum vorstellen, zumal ich mit der selben Channel-Liste schon wiederholt Updates gefahren hab. Hast Du denn mit der neuen Channel-list bestimmte Pakete wieder neu eingespielt/downgegradet oder dergleichen?

Gtx,

Scuppa

Scuppa
Member
Member
Beiträge: 78
Registriert: 24. Feb 2004, 16:42
Wohnort: Mainz-Kastel

Beitrag von Scuppa » 21. Sep 2006, 17:56

Hier noch eine Fehlermeldung beim Versuch, das smart-gui aus der Konsole zu starten.

Code: Alles auswählen

Traceback (most recent call last):
  File "/usr/bin/smart", line 194, in ?
    main(sys.argv[1:])
  File "/usr/bin/smart", line 161, in main
    forcelocks=opts.ignore_locks, loglevel=opts.log_level)
  File "/usr/lib/python2.4/site-packages/smart/__init__.py", line 122, in init
    iface.object = createInterface(ifacename, ctrl, command, argv)
  File "/usr/lib/python2.4/site-packages/smart/interface.py", line 158, in createInterface
    return interface.create(ctrl, command, argv)
  File "/usr/lib/python2.4/site-packages/smart/interfaces/gtk/__init__.py", line 44, in create
    return GtkInteractiveInterface(ctrl)
  File "/usr/lib/python2.4/site-packages/smart/interfaces/gtk/interactive.py", line 179, in __init__
    GtkInterface.__init__(self, ctrl)
  File "/usr/lib/python2.4/site-packages/smart/interfaces/gtk/interface.py", line 36, in __init__
    self._log = GtkLog()
  File "/usr/lib/python2.4/site-packages/smart/interfaces/gtk/log.py", line 41, in __init__
    self.set_geometry_hints(min_width=400, min_height=300)
TypeError: 'min_width' is an invalid keyword argument for this function
Vielleicht jetzt jemand 'ne Idee?

Grothesk
Ultimate Guru
Ultimate Guru
Beiträge: 14662
Registriert: 26. Okt 2003, 11:52
Wohnort: Köln

Beitrag von Grothesk » 21. Sep 2006, 18:06

"Die Rechtschreibung ist Freeware, du darfst sie kostenlos nutzen. Allerdings ist sie nicht OpenSource, d.h. du sollst sie nicht verändern oder in veränderter Form veröffentlichen."

Scuppa
Member
Member
Beiträge: 78
Registriert: 24. Feb 2004, 16:42
Wohnort: Mainz-Kastel

Beitrag von Scuppa » 22. Sep 2006, 08:31

Das war wohl nur ein Teil des Problem, tritt nach dem Workaround auch nicht mehr auf. Das System ist aber immer noch instabil. Hier die Fehlermeldung bei einem Absturz von Azureus:

Code: Alles auswählen

#
# An unexpected error has been detected by HotSpot Virtual Machine:
#
#  SIGSEGV (0xb) at pc=0xb7821376, pid=3800, tid=2991893408
#
# Java VM: Java HotSpot(TM) Client VM (1.5.0_07-b03 mixed mode, sharing)
# Problematic frame:
# V  [libjvm.so+0x158376]
#
# An error report file with more information is saved as hs_err_pid3800.log
#
# If you would like to submit a bug report, please visit:
#   http://java.sun.com/webapps/bugreport/crash.jsp
#
Anybody?

Cheers,

Scuppa

Scuppa
Member
Member
Beiträge: 78
Registriert: 24. Feb 2004, 16:42
Wohnort: Mainz-Kastel

Beitrag von Scuppa » 24. Sep 2006, 14:22

traffic hat geschrieben:Ist ein Hardwaredefekt ausgeschlossen?
Tja, manchmal sind die ersten Ideen ja doch die besten ;). Am Ende war's dann doch ein defektes RAM-Modul...

Danke und Gruß,

Scuppa

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast